Bug 242469 - sysutils/yadm: Update to 2.2.0
Summary: sysutils/yadm: Update to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-06 01:52 UTC by Adam Jimerson
Modified: 2019-12-13 16:18 UTC (History)
3 users (show)

See Also:
alex: maintainer-feedback+


Attachments
yadm 2.1.0 (861 bytes, patch)
2019-12-06 01:52 UTC, Adam Jimerson
no flags Details | Diff
yadm 2.2.0 update patch (861 bytes, patch)
2019-12-12 04:56 UTC, Adam Jimerson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Jimerson 2019-12-06 01:52:57 UTC
Created attachment 209747 [details]
yadm 2.1.0

The attached patch updates yadm to 2.1.0 changes to this release includes the following:

Release 2.1.0
Update version number and update documentation

* Use relative symlinks for alternates (#100, #177)
* Support double-star globs in .config/yadm/encrypt (#109)
* Improve bash completion (#136)
* Update docs about using magit (#123)
* Note exception for WSL (#113)
Comment 1 Automation User 2019-12-06 02:18:31 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/101069973
Comment 2 Jimmy Olgeni freebsd_committer 2019-12-06 22:31:40 UTC
2.2.0 is out :)
Comment 3 Adam Jimerson 2019-12-09 12:12:09 UTC
(In reply to Jimmy Olgeni from comment #2)

If you would like I can update my patch to update it to 2.2.0, or I can submit a new patch for it. It's an easy enough change either way.
Comment 4 Adam Jimerson 2019-12-12 04:56:03 UTC
Created attachment 209885 [details]
yadm 2.2.0 update patch

The attached patch updates yadm from 2.0.1 -> 2.2.0 the changes upstream between 2.1.0 and 2.2.0 are as follows:

* Resolve hostname using `uname -n`
* Use /etc/os-release if lsb_release is missing
* Issue warning for any invalid alternates found
* Add support for gawk
Comment 5 commit-hook freebsd_committer 2019-12-13 16:17:22 UTC
A commit references this bug:

Author: fernape
Date: Fri Dec 13 16:16:22 UTC 2019
New revision: 520051
URL: https://svnweb.freebsd.org/changeset/ports/520051

Log:
  sysutils/yadm: update to 2.2.0

  ChangeLog: https://github.com/TheLocehiliosan/yadm/releases/tag/2.2.0

  Accumulated changes since 2.0.1:

  * Use relative symlinks for alternates
  * Support double-star globs in .config/yadm/encrypt
  * Improve bash completion
  * Update docs about using magit
  * Note exception for WSL
  * Resolve hostname using `uname -n`
  * Use /etc/os-release if lsb_release is missing
  * Issue warning for any invalid alternates found
  * Add support for gawk

  PR:	242469
  Submitted by:	vendion@gmail.com
  Reviewed by:	alex@xanderio.de (maintainer)

Changes:
  head/sysutils/yadm/Makefile
  head/sysutils/yadm/distinfo
Comment 6 Fernando Apesteguía freebsd_committer 2019-12-13 16:18:00 UTC
Committed,

Thanks!